Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeMesh Class Reference

`#include <deMesh.hpp>`

Inheritance diagram for IdeMesh:

[legend]
Collaboration diagram for IdeMesh:

[legend]
List of all members.

## Public Member Functions
virtual void | ClearGeometry ()=0
| Destroys all contained geometry.
virtual deBoolean | BuildFromBrushGeometry (IdeBrush *brush)=0
| Builds from a brush.
virtual deBoolean | BuildFromVertices ()=0
virtual deBoolean | AddVertices (const deMeshVertexData &vertexdata, long &indexoffset)=0
| adds vertex data, fills indexoffset with offset to beginning of vertex data in main vertex buffer
virtual deBoolean | AddIndices (const deMeshIndexData &indexdata)=0
| adds index data, which contains indexoffset and surface information
virtual void | SetNumSubMeshes (u32 NumSubs, deBoolean Dynamic=(DE_TRUE))=0
| Sets the number of submeshes, and destroys all existing submeshes.
virtual deBoolean | SetSurface (u32 SubNum, IdeSurface *Surface)=0
virtual IdeSurface * | GetSurface (u32 SubNum)=0
virtual deBoolean | SetNumFaces (u32 SubNum, u32 NumFaces)=0
virtual u32 | GetNumFaces (u32 SubNum)=0
virtual deBoolean | Lock (deVertex **&positions, deTexCoord2 **&uvcoords, deARGB **&colors)=0
virtual deBoolean | Unlock (deVertex **&positions, deTexCoord2 **&uvcoords, deARGB **&colors)=0
virtual IdeVertexBuffer * | GetMainVertexBuffer ()=0
virtual long | GetNumSubMeshes ()=0
virtual IdeVertexBuffer * | GetSubMeshVertexBuffer (long index)=0
virtual IdeVertexBuffer * | GetSubMeshIndexBuffer (long index)=0
virtual IdeSurface * | GetSubMeshSurface (long index)=0
virtual deDouble | GetBoundRadius ()=0
virtual void | GetBBox (deAABB &outBox)=0
## Protected Member Functions
| ~IdeMesh ()

## Detailed Description

A storage class for static triangulated meshes. Related functions: IdeMesh_CreateMesh, IdeMesh_GetWOInterfaceID

## Constructor & Destructor Documentation

IdeMesh::~IdeMesh | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual deBoolean IdeMesh::AddIndices | ( | const deMeshIndexData & | indexdata | ) | `[pure virtual]`

| adds index data, which contains indexoffset and surface information Implemented in deMesh.

virtual deBoolean IdeMesh::AddVertices | ( | const deMeshVertexData & | vertexdata,
|  | long & | indexoffset
| ) | `[pure virtual]`

| adds vertex data, fills indexoffset with offset to beginning of vertex data in main vertex buffer Implemented in deMesh.

virtual deBoolean IdeMesh::BuildFromBrushGeometry | ( | IdeBrush * | brush | ) | `[pure virtual]`

| Builds from a brush. Implemented in deMesh.

virtual deBoolean IdeMesh::BuildFromVertices | ( |  | ) | `[pure virtual]`

| Builds from a set of vertex & index data, set through AddVertices and AddIndices. This will only take into account the geometry that has been input through AddVertices and AddIndices since the last time a mesh was built. Implemented in deMesh.

virtual void IdeMesh::ClearGeometry | ( |  | ) | `[pure virtual]`

| Destroys all contained geometry. Implemented in deMesh.

virtual void IdeMesh::GetBBox | ( | deAABB & | outBox | ) | `[pure virtual]`

| Implemented in deMesh.

virtual deDouble IdeMesh::GetBoundRadius | ( |  | ) | `[pure virtual]`

| Implemented in deMesh.

virtual IdeVertexBuffer* IdeMesh::GetMainVertexBuffer | ( |  | ) | `[pure virtual]`

| Implemented in deMesh.

virtual u32 IdeMesh::GetNumFaces | ( | u32 | SubNum | ) | `[pure virtual]`

| Implemented in deMesh.

virtual long IdeMesh::GetNumSubMeshes | ( |  | ) | `[pure virtual]`

| Implemented in deMesh.

virtual IdeVertexBuffer* IdeMesh::GetSubMeshIndexBuffer | ( | long | index | ) | `[pure virtual]`

| Implemented in deMesh.

virtual IdeSurface* IdeMesh::GetSubMeshSurface | ( | long | index | ) | `[pure virtual]`

| Implemented in deMesh.

virtual IdeVertexBuffer* IdeMesh::GetSubMeshVertexBuffer | ( | long | index | ) | `[pure virtual]`

| Implemented in deMesh.

virtual IdeSurface* IdeMesh::GetSurface | ( | u32 | SubNum | ) | `[pure virtual]`

| Implemented in deMesh.

virtual deBoolean IdeMesh::Lock | ( | deVertex **& | positions,
|  | deTexCoord2 **& | uvcoords,
|  | deARGB **& | colors
| ) | `[pure virtual]`

| Implemented in deMesh.

virtual deBoolean IdeMesh::SetNumFaces | ( | u32 | SubNum,
|  | u32 | NumFaces
| ) | `[pure virtual]`

| Implemented in deMesh.

virtual void IdeMesh::SetNumSubMeshes | ( | u32 | NumSubs,
|  | deBoolean | Dynamic = (DE_TRUE)
| ) | `[pure virtual]`

| Sets the number of submeshes, and destroys all existing submeshes. Implemented in deMesh.

virtual deBoolean IdeMesh::SetSurface | ( | u32 | SubNum,
|  | IdeSurface * | Surface
| ) | `[pure virtual]`

| Implemented in deMesh.

virtual deBoolean IdeMesh::Unlock | ( | deVertex **& | positions,
|  | deTexCoord2 **& | uvcoords,
|  | deARGB **& | colors
| ) | `[pure virtual]`

| Implemented in deMesh.

The documentation for this class was generated from the following file:

- deMesh.hpp